Bug 210749 - mail/thunderbird: update to 45.2.0
Summary: mail/thunderbird: update to 45.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL: https://www.mozilla.org/en-US/thunder...
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2016-07-01 19:33 UTC by Christoph Moench-Tegeder
Modified: 2016-07-09 13:39 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gecko)
cmt: merge-quarterly?


Attachments
update thunderbird 45.2.0 (23.00 KB, patch)
2016-07-01 19:33 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport (10.3) (242.15 KB, application/octet-stream)
2016-07-01 19:36 UTC, Christoph Moench-Tegeder
no flags Details
poudriere testport (9.3) (240.14 KB, application/octet-stream)
2016-07-01 19:36 UTC, Christoph Moench-Tegeder
no flags Details
thunderbird 45.2.0 take 2 (24.75 KB, patch)
2016-07-03 19:52 UTC, Christoph Moench-Tegeder
no flags Details | Diff
thunderbird 45.2.0 take 3 (24.44 KB, patch)
2016-07-07 18:39 UTC, Christoph Moench-Tegeder
jbeich: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2016-07-01 19:33:54 UTC
Created attachment 172023 [details]
update thunderbird 45.2.0

updates mail/thunderbird and friends to 45.2.0.
At the same time, make poudriere/stage-qa happier by adding missing dependencies. Touched gecko.mk as that messes with USE_XORG in the port's Makefile.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-07-01 19:36:26 UTC
Created attachment 172025 [details]
poudriere testport (10.3)
Comment 2 Christoph Moench-Tegeder freebsd_committer 2016-07-01 19:36:49 UTC
Created attachment 172027 [details]
poudriere testport (9.3)
Comment 3 Jan Beich freebsd_committer 2016-07-02 00:00:43 UTC
Comment on attachment 172023 [details]
update thunderbird 45.2.0

> +		libfreetype.so:print/freetype2 \
> +		libfontconfig.so:x11-fonts/fontconfig \

As thebes and skia depend on those unconditionally put them in Mk/bsd.gecko.mk. _DEPENDS lines in Makefile are for specific Gecko flavor, at least that *was* the intent.

> +		libogg.so:audio/libogg \

Append to vorbis_LIB_DEPENDS and tremor_LIB_DEPENDS in Mk/bsd.gecko.mk

> +		libdbus-1.so:devel/dbus

Move under .if ${PORT_OPTIONS:MDBUS} in Mk/bsd.gecko.mk

> +USE_GNOME+=	gdkpixbuf2

Better append to USE_GNOME in Mk/bsd.gecko.mk for cairo-gtk2 and cairo-gtk3. If cairo-qt still works it doesn't use gdkpixbuf2 functions.

> +USES=		gettext tar:xz

It only links against gettext because |pkg-config gtk+-2.0 --libs| says so i.e., an example of overlinking.
Comment 4 Christoph Moench-Tegeder freebsd_committer 2016-07-03 19:52:32 UTC
Created attachment 172080 [details]
thunderbird 45.2.0 take 2
Comment 5 Christoph Moench-Tegeder freebsd_committer 2016-07-03 19:55:05 UTC
(In reply to Jan Beich from comment #3)

> It only links against gettext because |pkg-config gtk+-2.0 --libs| says so i.e., an example of overlinking.

Yes - but does that mean it souldn't be listed as a dependency even if it's referenced?
On another note, patch updated according to the other points.
Comment 6 Jan Beich freebsd_committer 2016-07-07 09:54:53 UTC
Comment on attachment 172080 [details]
thunderbird 45.2.0 take 2

> +fontconfig_LIB_DEPENDS=	libfontconfig.so:x11-fonts/fontconfig
> +freetype_LIB_DEPENDS=	libfreetype.so:print/freetype2

Unless you plan to support USE_MOZILLA+=-fontconfig and USE_MOZILLA+=-freetype use plain LIB_DEPENDS. USE_MOZILLA predates option helpers but works similar to OPTIONS_(SLAVE|EXCLUDE).

> +USE_GNOME+=	gdkpixbuf2

Did you forget to remove it from mail/thunderbird/Makefile after adding to Mk/bsd.gecko.mk ?

>+USES=		gettext tar:xz

If you really want to keep USES=gettext move it under cairo-gtk* conditionals in Mk/bsd.gecko.mk. Alternatively, try adding -Wl,--as-needed to LDFLAGS.

> does that mean it souldn't be listed as a dependency even if it's referenced?

I'd prefer to avoid adding workarounds due to bugs in other ports. However, in this case gecko@ ports need to be refactored first before worrying about style. Maybe add XXX comment that USES=gettext doesn't belong here or file a bug assigned to gnome@ about...

https://wiki.openmandriva.org/en/Overlinking_issues_in_packaging#pkgconfig_issues
Comment 7 Christoph Moench-Tegeder freebsd_committer 2016-07-07 18:39:10 UTC
Created attachment 172206 [details]
thunderbird 45.2.0 take 3

After sorting out the icu thing... here's take 3 (this time with all the changes, I hope...). I avoided the gettext dependency by -Wl,--as-needed (as suggested), looks ok.
Comment 8 commit-hook freebsd_committer 2016-07-09 13:22:03 UTC
A commit references this bug:

Author: cmt
Date: Sat Jul  9 13:21:07 UTC 2016
New revision: 418278
URL: https://svnweb.freebsd.org/changeset/ports/418278

Log:
  update thunderbird to 45.2.0

  PR:		210749
  Approved by:	jbeich (maintainer), rene (mentor)
  MFH:		2016Q3
  Security:	8065d37b-8e7c-4707-a608-1b0a2b8509c3

Changes:
  head/Mk/bsd.gecko.mk
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 9 commit-hook freebsd_committer 2016-07-09 13:39:05 UTC
A commit references this bug:

Author: cmt
Date: Sat Jul  9 13:38:49 UTC 2016
New revision: 418279
URL: https://svnweb.freebsd.org/changeset/ports/418279

Log:
  MFH: r418278

  update thunderbird to 45.2.0

  PR:		210749
  Approved by:	jbeich (maintainer), rene (mentor)
  Security:	8065d37b-8e7c-4707-a608-1b0a2b8509c3

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/Mk/bsd.gecko.mk
  branches/2016Q3/mail/linux-thunderbird/Makefile
  branches/2016Q3/mail/linux-thunderbird/distinfo
  branches/2016Q3/mail/thunderbird/Makefile
  branches/2016Q3/mail/thunderbird/distinfo
  branches/2016Q3/mail/thunderbird-i18n/Makefile
  branches/2016Q3/mail/thunderbird-i18n/distinfo